# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.89.0"
name = "facet-reflect"
version = "0.32.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Allows peeking (reading from) and poking (writing to) types that implement Facet"
readme = "README.md"
keywords = [
    "reflection",
    "introspection",
    "facet",
    "peek",
    "poke",
]
categories = [
    "development-tools",
    "rust-patterns",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/facet-rs/facet"

[package.metadata.docs.rs]
rustdoc-args = [
    "--html-in-header",
    "docs/meta/arborium-header.html",
]

[features]
alloc = ["facet-core/alloc"]
camino = [
    "alloc",
    "dep:camino",
    "facet-core/camino",
]
ci = ["slow-tests"]
default = ["std"]
fn-ptr = ["facet-core/fn-ptr"]
fuzz-tests = []
jiff02 = ["facet-core/jiff02"]
log = ["dep:log"]
miette = ["dep:miette"]
slow-tests = []
std = ["alloc"]
time = ["facet-core/time"]
ulid = [
    "alloc",
    "dep:ulid",
    "facet-core/ulid",
]
uuid = [
    "alloc",
    "dep:uuid",
    "facet-core/uuid",
]

[lib]
name = "facet_reflect"
path = "src/lib.rs"

[[test]]
name = "compile_tests"
path = "tests/compile_tests.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[dependencies.camino]
version = "1"
optional = true

[dependencies.facet-core]
version = "0.32.1"
default-features = false

[dependencies.facet-macros]
version = "0.32.1"

[dependencies.log]
version = "0.4.27"
optional = true

[dependencies.miette]
version = "7"
optional = true
default-features = false

[dependencies.ulid]
version = "1.2.1"
optional = true

[dependencies.uuid]
version = "1.17.0"
optional = true

[dev-dependencies.eyre]
version = "0.6.12"

[dev-dependencies.insta]
version = "1.43.1"

[dev-dependencies.log]
version = "0.4.27"

[dev-dependencies.proptest]
version = "1.9"

[dev-dependencies.tempfile]
version = "3.20.0"
